Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common
Interface IBusinessModelSave

All Known Implementing Classes:
  BusinessModel

public interface IBusinessModelSave

Schnittstelle zwischen dem BusinessModel und den Saver-Objekten. Jedes Model, das mit einem `Saver`-Objekt arbeiten will muss dieses Interface implementieren, da der Saver diese Schnittstelle voraussetzt. Die Klasse `BusinessModel` implementiert diese Schnittstelle.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Method Summary
`Item` | `createNewItem(String name)` Erzeugt ein neues Item von der Art, wie sie in diesem Model verwaltet werden.
`Item` | `getSaveItem(int index)` Holt das zu speichernde Item aus dem Model.
`int` | `getSaveItemCount()` Holt die Anzahl zu speichernder Items aus dem Model.
`void` | `loadItem(Item item)` Das übergebene Item wird im Model wieder gespeichert.
`void` | `preLoad()` Aus dem Model werden vor dem neu Laden alle Items gelöscht.

Method Detail

### createNewItem

    public Item createNewItem(String name)
                       throws ItemInstantiateException

  Erzeugt ein neues Item von der Art, wie sie in diesem Model verwaltet werden. Dabei wird im Item gleich der Name gesetzt. Hierbei ist es zwingend erforderlich, dass das zu erzeugende Item einen Konstruktor mit dem Parameter `String` hat. Andernfalls kommt es hier zu einer `ItemInstantiateException`.

  Parameters:
    `name` - Der Name des Items.
  Returns:
    Ein neues Item.
  Throws:
    `ItemInstantiateException` - wenn beim erzeugen des Items ein Fehler auftritt.

### getSaveItemCount

    public int getSaveItemCount()

  Holt die Anzahl zu speichernder Items aus dem Model.

  Returns:
    Die Anzahl zu speichernder Items im Model.

### getSaveItem

    public Item getSaveItem(int index)

  Holt das zu speichernde Item aus dem Model.

  Parameters:
    `index` - Der Index des zu speichernden Items.
  Returns:
    Das Item am spezifizierten Index

### loadItem

    public void loadItem(Item item)

  Das übergebene Item wird im Model wieder gespeichert.

  Parameters:
    `item` - Ein dem Model hinzuzufügendes Item.

### preLoad

    public void preLoad()

  Aus dem Model werden vor dem neu Laden alle Items gelöscht. Sonst wären alte und neue Items gemischt vorhanden.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD